auto-multiple-choice-analyse
Prev | Commands manual | Next

## Name

auto-multiple-choice-analyse — automatic data capture from scans for AMC multiple choice exams.

## Synopsis

`auto-multiple-choice` analyse --projet `project-dir` [--seuil-coche `threshold`] [--tol-marque `tol`] [ --list-fichiers `files-list.txt` | `scan-files`... ]

## Description

The auto-multiple-choice analyse command performs automatic data capture from scans of completed answer sheets of an AMC multiple choice questionnaire. Before calling auto-multiple-choice analyse, auto-multiple-choice-prepare(1) should have been called to make working documents (`--mode s`) and the layout should have been processed with auto-multiple-choice-meptex(1).

`--data `data-dir``

  gives the directory where data files are (see for example auto-multiple-choice-meptex(1)). Defaults to ``project-dir`/data`.

`--cr `project-cr-dir``

  gives a directory where to create image reports of the data capture (zooms on the boxes in a `zooms` sub-directory, name filed extraction as a `name-*.jpg` file, and layout report as a `page-*.jpg` file).

`--projet `project-dir``

  When using this option, if `--cr` is not used, `project-cr-dir` will be set to ``project-dir`/cr`.

Giving the names of the scan files to process can be done in two ways:

- these names can be given as arguments,

- these names can be written to a plain file (one filename per line), using the `--list-fichiers `files-list.txt`` to give the name of this file.

Some parameters for data capture may be set using the following options:

`--prop `proportion``

  sets the proportion of each box that will be measured to decide if the box is ticked or not. Default value is 0.8.

`--bw-threshold `threshold``

  This parameter is used when converting the grayscale scan file to black and white. To get more black pixels, use a greater value. To get more white pixels, use a smaller value. The threshold must be between 0 and 1. The default value is 0.6.

`--ignore-red`

  With this option, only red channel will be used from color scans. This way, all that is written in red will be ignored in the scan. This can be useful when the boxes are printed in red.

`--tol-marque `tol``

  defines the tolerance when detecting the four marks in the scans corners. These marks are detected looking for black connected components which dimensions are closed to the target dimension `target` (exact dimensions of the marks if printing/scanning process where perfectly accurate). If `tol` is a real number, accepted dimensions are those between (1-`tol`)*`target` and (1+`tol`)*`target`. If `tol` is "`tinf`,`tsup`" (where `tinf` and `tsup` are real numbers), accepted dimensions are those between (1-`tinf`)*`target` and (1+`tsup`)*`target`. A standard value is 0.2.

`--multiple`

  This option is to be used when the scans are photocopies from some subjects (different students can have the same subject). In this case, copy numbers are allocated to students so that their answer sheets, with the same subject number, can be differentiated.

`--pre-allocate `copy_id``

  This option can be used in conjunction with `--multiple`. The copy numbers used for the scans will start from `copy_id`, in the same order than the scans given as arguments.

--try-three | --no-try-three

  Use one of these options to tell if you allow processing of scans where only three corner marks are present.

`--debug `file.log``

  gives a file to fill with debugging information.

Prev | Up | Next
auto-multiple-choice-getimages | Home | auto-multiple-choice-note